Bug 221439 - CVE-2006-6870 Maliciously crafted packed can DoS avahi daemon
CVE-2006-6870 Maliciously crafted packed can DoS avahi daemon
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: avahi (Show other bugs)
5.0
All Linux
high Severity high
: ---
: ---
Assigned To: Martin Bacovsky
http://avahi.org/ticket/84
source=gentoo,impact=important,public...
: Security
Depends On:
Blocks: CVE-2006-6870
  Show dependency treegraph
 
Reported: 2007-01-04 12:39 EST by Lubomir Kundrak
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-15 08:52:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstram patch for avahi Ticket #84 bug (745 bytes, patch)
2007-01-04 12:39 EST, Lubomir Kundrak
no flags Details | Diff

  None (edit)
Description Lubomir Kundrak 2007-01-04 12:39:46 EST
Description of problem:

Malformed compressed packed can trigger an endless loop
consuming 100% of cpu time upon its reception.

Version-Release number of selected component (if applicable):

FC5 (0.6.11), FC6 (0.6.15), RHEL5 (0.6.15)

Steps to Reproduce:

No reproducer available.
Comment 1 Lubomir Kundrak 2007-01-04 12:39:46 EST
Created attachment 144823 [details]
Upstram patch for avahi Ticket #84 bug
Comment 3 Nalin Dahyabhai 2007-01-05 12:11:02 EST
Martin suggests an update to 0.6.16, which incorporates this specific fix and a
number of others.  Proposing an exception.
Comment 6 Martin Bacovsky 2007-01-08 11:00:36 EST
Avahi was upgraded to 0.6.16 which should resolve this issue.
Comment 7 Mark J. Cox (Product Security) 2007-01-14 05:12:04 EST
in 20070112 tree
Comment 8 Jay Turner 2007-01-15 08:52:26 EST
avahi-0.6.16-1.el5 included in 20071111.1 and 20071112.3 trees.

Note You need to log in before you can comment on or make changes to this bug.